Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
Example Usage
import * as pulumi from "@pulumi/pulumi";
import * as meraki from "@pulumi/meraki";
const example = meraki.devices.getLiveToolsPingDevice({
id: "string",
serial: "string",
});
export const merakiDevicesLiveToolsPingDeviceExample = example.then(example => example.item);
import pulumi
import pulumi_meraki as meraki
example = meraki.devices.get_live_tools_ping_device(id="string",
serial="string")
pulumi.export("merakiDevicesLiveToolsPingDeviceExample", example.item)
package main
import (
"github.com/pulumi/pulumi-meraki/sdk/go/meraki/devices"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
example, err := devices.LookupLiveToolsPingDevice(ctx, &devices.LookupLiveToolsPingDeviceArgs{
Id: "string",
Serial: "string",
}, nil)
if err != nil {
return err
}
ctx.Export("merakiDevicesLiveToolsPingDeviceExample", example.Item)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Meraki = Pulumi.Meraki;
return await Deployment.RunAsync(() =>
{
var example = Meraki.Devices.GetLiveToolsPingDevice.Invoke(new()
{
Id = "string",
Serial = "string",
});
return new Dictionary<string, object?>
{
["merakiDevicesLiveToolsPingDeviceExample"] = example.Apply(getLiveToolsPingDeviceResult => getLiveToolsPingDeviceResult.Item),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.meraki.devices.DevicesFunctions;
import com.pulumi.meraki.devices.inputs.GetLiveToolsPingDeviceArgs;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var example = DevicesFunctions.getLiveToolsPingDevice(GetLiveToolsPingDeviceArgs.builder()
.id("string")
.serial("string")
.build());
ctx.export("merakiDevicesLiveToolsPingDeviceExample", example.item());
}
}
variables:
example:
fn::invoke:
function: meraki:devices:getLiveToolsPingDevice
arguments:
id: string
serial: string
outputs:
merakiDevicesLiveToolsPingDeviceExample: ${example.item}
Using getLiveToolsPingDevice
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getLiveToolsPingDevice(args: GetLiveToolsPingDeviceArgs, opts?: InvokeOptions): Promise<GetLiveToolsPingDeviceResult>
function getLiveToolsPingDeviceOutput(args: GetLiveToolsPingDeviceOutputArgs, opts?: InvokeOptions): Output<GetLiveToolsPingDeviceResult>def get_live_tools_ping_device(id: Optional[str] = None,
serial: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetLiveToolsPingDeviceResult
def get_live_tools_ping_device_output(id: Optional[pulumi.Input[str]] = None,
serial: Optional[pulumi.Input[str]] = None,
opts: Optional[InvokeOptions] = None) -> Output[GetLiveToolsPingDeviceResult]func LookupLiveToolsPingDevice(ctx *Context, args *LookupLiveToolsPingDeviceArgs, opts ...InvokeOption) (*LookupLiveToolsPingDeviceResult, error)
func LookupLiveToolsPingDeviceOutput(ctx *Context, args *LookupLiveToolsPingDeviceOutputArgs, opts ...InvokeOption) LookupLiveToolsPingDeviceResultOutput> Note: This function is named LookupLiveToolsPingDevice in the Go SDK.
public static class GetLiveToolsPingDevice
{
public static Task<GetLiveToolsPingDeviceResult> InvokeAsync(GetLiveToolsPingDeviceArgs args, InvokeOptions? opts = null)
public static Output<GetLiveToolsPingDeviceResult> Invoke(GetLiveToolsPingDeviceInvokeArgs args, InvokeOptions? opts = null)
}public static CompletableFuture<GetLiveToolsPingDeviceResult> getLiveToolsPingDevice(GetLiveToolsPingDeviceArgs args, InvokeOptions options)
public static Output<GetLiveToolsPingDeviceResult> getLiveToolsPingDevice(GetLiveToolsPingDeviceArgs args, InvokeOptions options)
fn::invoke:
function: meraki:devices/getLiveToolsPingDevice:getLiveToolsPingDevice
arguments:
# arguments dictionaryThe following arguments are supported:
getLiveToolsPingDevice Result
The following output properties are available:
- Id string
- id path parameter.
- Item
Get
Live Tools Ping Device Item - Serial string
- serial path parameter.
- Id string
- id path parameter.
- Item
Get
Live Tools Ping Device Item - Serial string
- serial path parameter.
- id String
- id path parameter.
- item
Get
Live Tools Ping Device Item - serial String
- serial path parameter.
- id string
- id path parameter.
- item
Get
Live Tools Ping Device Item - serial string
- serial path parameter.
- id str
- id path parameter.
- item
Get
Live Tools Ping Device Item - serial str
- serial path parameter.
- id String
- id path parameter.
- item Property Map
- serial String
- serial path parameter.
Supporting Types
GetLiveToolsPingDeviceItem
- Callback
Get
Live Tools Ping Device Item Callback - Information for callback used to send back results
- Ping
Id string - Id to check the status of your ping request.
- Request
Get
Live Tools Ping Device Item Request - Ping request parameters
- Results
Get
Live Tools Ping Device Item Results - Results of the ping request.
- Status string
- Status of the ping request.
- Url string
- GET this url to check the status of your ping request.
- Callback
Get
Live Tools Ping Device Item Callback - Information for callback used to send back results
- Ping
Id string - Id to check the status of your ping request.
- Request
Get
Live Tools Ping Device Item Request - Ping request parameters
- Results
Get
Live Tools Ping Device Item Results - Results of the ping request.
- Status string
- Status of the ping request.
- Url string
- GET this url to check the status of your ping request.
- callback
Get
Live Tools Ping Device Item Callback - Information for callback used to send back results
- ping
Id String - Id to check the status of your ping request.
- request
Get
Live Tools Ping Device Item Request - Ping request parameters
- results
Get
Live Tools Ping Device Item Results - Results of the ping request.
- status String
- Status of the ping request.
- url String
- GET this url to check the status of your ping request.
- callback
Get
Live Tools Ping Device Item Callback - Information for callback used to send back results
- ping
Id string - Id to check the status of your ping request.
- request
Get
Live Tools Ping Device Item Request - Ping request parameters
- results
Get
Live Tools Ping Device Item Results - Results of the ping request.
- status string
- Status of the ping request.
- url string
- GET this url to check the status of your ping request.
- callback
Get
Live Tools Ping Device Item Callback - Information for callback used to send back results
- ping_
id str - Id to check the status of your ping request.
- request
Get
Live Tools Ping Device Item Request - Ping request parameters
- results
Get
Live Tools Ping Device Item Results - Results of the ping request.
- status str
- Status of the ping request.
- url str
- GET this url to check the status of your ping request.
- callback Property Map
- Information for callback used to send back results
- ping
Id String - Id to check the status of your ping request.
- request Property Map
- Ping request parameters
- results Property Map
- Results of the ping request.
- status String
- Status of the ping request.
- url String
- GET this url to check the status of your ping request.
GetLiveToolsPingDeviceItemCallback
- Id string
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- Status string
- The status of the callback
- Url string
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
- Id string
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- Status string
- The status of the callback
- Url string
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
- id String
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- status String
- The status of the callback
- url String
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
- id string
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- status string
- The status of the callback
- url string
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
- id str
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- status str
- The status of the callback
- url str
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
- id String
- The ID of the callback. To check the status of the callback, use this ID in a request to /webhooks/callbacks/statuses/{id}
- status String
- The status of the callback
- url String
- The callback URL for the webhook target. This was either provided in the original request or comes from a configured webhook receiver
GetLiveToolsPingDeviceItemRequest
GetLiveToolsPingDeviceItemResults
- Latencies
Get
Live Tools Ping Device Item Results Latencies - Packet latency stats
- Loss
Get
Live Tools Ping Device Item Results Loss - Lost packets
- Received int
- Number of packets received
- Replies
List<Get
Live Tools Ping Device Item Results Reply> - Received packets
- Sent int
- Number of packets sent
- Latencies
Get
Live Tools Ping Device Item Results Latencies - Packet latency stats
- Loss
Get
Live Tools Ping Device Item Results Loss - Lost packets
- Received int
- Number of packets received
- Replies
[]Get
Live Tools Ping Device Item Results Reply - Received packets
- Sent int
- Number of packets sent
- latencies
Get
Live Tools Ping Device Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Device Item Results Loss - Lost packets
- received Integer
- Number of packets received
- replies
List<Get
Live Tools Ping Device Item Results Reply> - Received packets
- sent Integer
- Number of packets sent
- latencies
Get
Live Tools Ping Device Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Device Item Results Loss - Lost packets
- received number
- Number of packets received
- replies
Get
Live Tools Ping Device Item Results Reply[] - Received packets
- sent number
- Number of packets sent
- latencies
Get
Live Tools Ping Device Item Results Latencies - Packet latency stats
- loss
Get
Live Tools Ping Device Item Results Loss - Lost packets
- received int
- Number of packets received
- replies
Sequence[Get
Live Tools Ping Device Item Results Reply] - Received packets
- sent int
- Number of packets sent
- latencies Property Map
- Packet latency stats
- loss Property Map
- Lost packets
- received Number
- Number of packets received
- replies List<Property Map>
- Received packets
- sent Number
- Number of packets sent
GetLiveToolsPingDeviceItemResultsLatencies
GetLiveToolsPingDeviceItemResultsLoss
- Percentage double
- Percentage of packets lost
- Percentage float64
- Percentage of packets lost
- percentage Double
- Percentage of packets lost
- percentage number
- Percentage of packets lost
- percentage float
- Percentage of packets lost
- percentage Number
- Percentage of packets lost
GetLiveToolsPingDeviceItemResultsReply
- Latency double
- Latency of the packet in milliseconds
- Sequence
Id int - Sequence ID of the packet
- Size int
- Size of the packet in bytes
- Latency float64
- Latency of the packet in milliseconds
- Sequence
Id int - Sequence ID of the packet
- Size int
- Size of the packet in bytes
- latency Double
- Latency of the packet in milliseconds
- sequence
Id Integer - Sequence ID of the packet
- size Integer
- Size of the packet in bytes
- latency number
- Latency of the packet in milliseconds
- sequence
Id number - Sequence ID of the packet
- size number
- Size of the packet in bytes
- latency float
- Latency of the packet in milliseconds
- sequence_
id int - Sequence ID of the packet
- size int
- Size of the packet in bytes
- latency Number
- Latency of the packet in milliseconds
- sequence
Id Number - Sequence ID of the packet
- size Number
- Size of the packet in bytes
Package Details
- Repository
- meraki pulumi/pulumi-meraki
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
merakiTerraform Provider.
Viewing docs for Cisco Meraki v0.4.6
published on Thursday, Feb 26, 2026 by Pulumi
published on Thursday, Feb 26, 2026 by Pulumi
